Skip to main content
GET
/
locations
/
search
Search
curl --request GET \
  --url https://services.leadconnectorhq.com/locations/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "locations": [
    {
      "id": "ve9EPM428h8vShlRW1KT",
      "name": "Mark Shoes",
      "phone": "+1410039940",
      "email": "john.doe@mail.com",
      "address": "4th fleet street",
      "city": "New York",
      "state": "Illinois",
      "country": "US",
      "postalCode": "567654",
      "website": "https://yourwebsite.com",
      "timezone": "US/Central",
      "settings": {
        "allowDuplicateContact": false,
        "allowDuplicateOpportunity": false,
        "allowFacebookNameMerge": false,
        "disableContactTimezone": false
      },
      "social": {
        "facebookUrl": "https://www.facebook.com/",
        "googlePlus": "https://www.googleplus.com/",
        "linkedIn": "https://www.linkedIn.com/",
        "foursquare": "https://www.foursquare.com/",
        "twitter": "https://www.foutwitterrsquare.com/",
        "yelp": "https://www.yelp.com/",
        "instagram": "https://www.instagram.com/",
        "youtube": "https://www.youtube.com/",
        "pinterest": "https://www.pinterest.com/",
        "blogRss": "https://www.blogRss.com/",
        "googlePlacesId": "ChIJJGPdVbQTrjsRGUkefteUeFk"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Agency (OR) Private Integration Token of Agency.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Query Parameters

companyId
string

The company/agency id on which you want to perform the search

skip
string
default:0

The value by which the results should be skipped. Default will be 0

limit
string
default:10

The value by which the results should be limited. Default will be 10

order
string
default:asc

The order in which the results should be returned - Allowed values asc, desc. Default will be asc

email
string

Response

Successful response

locations
object[]
Last modified on March 4, 2026